Summary:        BIND DNS Configuration Tool
Name:           system-config-bind
Version:        4.0.15
Release:        12%{?dist}
URL:            http://fedorahosted.org/system-config-bind
License:        GPLv2
Group:          Applications/System
Source0:        https://fedorahosted.org/releases/s/y/system-config-bind/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
BuildRequires:  python, gettext, make, intltool, desktop-file-utils
BuildRequires:  gnome-doc-utils, docbook-dtds, scrollkeeper
Requires:       pygtk2, gnome-python2-gnome, pygtk2-libglade, gnome-python2-canvas
Requires:       bind, bind-utils, usermode, usermode-gtk, xdg-utils
Requires(post): hicolor-icon-theme

Patch1: %{name}-make.patch

%description
The system-config-bind package provides a graphical user interface (GUI) to
configure the Berkeley Internet Name Domain (BIND) Domain Name System (DNS)
server, "named", with a set of python modules.
Users new to BIND configuration can use this tool to quickly set up a working
DNS server.

%prep
%setup -q
%patch1 -p1 -b .make

%build
make 

%install
rm -rf %{buildroot}
make install      ROOT=%{buildroot}
%find_lang %{name} || touch %{name}.lang;
%find_lang bindconf || touch bindconf.lang;
cat %{name}.lang bindconf.lang > scb.lang

desktop-file-install --vendor "" --delete-original  \
  --dir %{buildroot}%{_datadir}/applications  \
  --add-category Application  \
  --add-category System  \
  --add-category X-Red-Hat-Base  \
  --add-category X-Red-Hat-ServerConfig  \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

echo "%{version}" > %{buildroot}/usr/share/system-config-bind/%{name}.version

%clean
rm -rf %{buildroot}

%files -f scb.lang
%defattr(-,root,root,-)
%{_sbindir}/system-config-bind
%{_sbindir}/system-config-bind-gui
%{_bindir}/system-config-bind
%{_bindir}/bindconf
%{_datadir}/system-config-bind
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/preferences-network-dns.png
%config(noreplace) %{_sysconfdir}/security/console.apps/system-config-bind
%config(noreplace) %{_sysconfdir}/security/console.apps/bindconf
%config(noreplace) %{_sysconfdir}/pam.d/system-config-bind
%config(noreplace) %{_sysconfdir}/pam.d/bindconf
%doc %{_datadir}/omf/system-config-bind
%doc %{_datadir}/gnome/help/system-config-bind
%doc COPYING

%post
if [ "$1" = "1" ]; then
   /bin/touch --no-create %{_datadir}/icons/hicolor
   if [ -x /usr/bin/gtk-update-icon-cache ]; then
      /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor
   fi
fi

%postun
if [ "$1" -eq 0 ]; then
   /bin/touch --no-create %{_datadir}/icons/hicolor
   if [ -x /usr/bin/gtk-update-icon-cache ]; then
      /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor
   fi;
fi;

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.15-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.15-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.15-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.15-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.15-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.15-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.15-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 07 2010 Roman Rakus <rrakus@redhat.com> - 4.0.15-3
- Fixed make rule (rhbz#631373)

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 4.0.15-2
- recompiling .py files against Python 2.7 (rhbz#623397)

* Tue Sep 29 2009 Jaroslav Reznik <jreznik@redhat.com> - 4.0.15-1
- fixed polish translation (rhbz#525994)

* Mon Sep 14 2009 Jaroslav Reznik <jreznik@redhat.com> - 4.0.14-1
- repackage for translation team request (rhbz#522429)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 11 2009 Jaroslav Reznik <jreznik@redhat.com> - 4.0.13-1
- Fixes traceback while creating new zone (rhbz#505208)

* Thu Apr 23 2009 Jaroslav Reznik <jreznik@redhat.com> - 4.0.12-2
- dnssec workaround (rhbz#496017)

* Tue Apr 14 2009 Jaroslav Reznik <jreznik@redhat.com> - 4.0.12-1
- update to 4.0.12
- startup crash (rhbz#495599)
- fix dnssec support

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 4.0.11-5
- Rebuild for Python 2.6

* Wed Oct 22 2008 Jaroslav Reznik <jreznik@redhat.com> - 4.0.11-4
- Respin

* Wed Oct 22 2008 Jaroslav Reznik <jreznik@redhat.com> - 4.0.11-3
- Fixes missing dependency usermode-gtk (rhbz#466768)

* Mon Sep 22 2008 Jaroslav Reznik <jreznik@redhat.com> - 4.0.11-2
- Fixes modal dialog refuses to die (rhbz#462847)

* Tue Sep 16 2008 Jaroslav Reznik <jreznik@redhat.com> - 4.0.11-1
- Missing translations

* Mon Sep 15 2008 Jaroslav Reznik <jreznik@redhat.com> - 4.0.10-1
- Fixes listen-on ACL bug (rhbz#449046)
- Repackage with new translations

* Tue Aug 26 2008 Jaroslav Reznik <jreznik@redhat.com> - 4.0.9-1
- New gnome style manual (bz#326091)
- Fixes hang when signing zone (bz#219788)
- Fixes Bind package changes (bz#457369)
- Fixes icon reference (bz#457713)
- Dependencies changes gnome-python2-gnome (bz#460015)
- Repackage with new translations
- Other changes

* Mon May 26 2008 Radek Brich <rbrich@redhat.com> - 4.0.8-1
- fix delegation-only zone creation (bz#323291)
- allow subdomain delegation (i.e. make Domain Name field editable)
  (bz#253310)
- fix traceback on loading Named ACLs (bz#289561)
- set proper permissions on zone files moved to slaves/
  (bz#444285, bz#444286)
- add listen-on-v6 to default named.conf (bz#234153)
- fix typo in a error dialog (bz#443731)

* Tue Apr 08 2008 Radek Brich <rbrich@redhat.com> - 4.0.7-1
- Repackage with new translations

* Thu Feb 27 2008 Radek Brich <rbrich@redhat.com> - 4.0.6-1
- Replace PDF manual with HTML, use xdg-utils (bz#326091)
- Fix license tag and note

* Thu Feb 21 2008 Radek Brich <rbrich@redhat.com> - 4.0.5-1
- Correct warning about format of SRV RR (bz#423761)
- Clean up spec file, links, permissions, add COPYING (bz#226452)

* Tue Jan 22 2008 Radek Brich <rbrich@redhat.com> - 4.0.4-1
- Release 4.0.4
- Update URL in .spec to new project page (resolves bz#237363)

* Wed May 30 2007 Ondrej Dvoracek <odvorace@redhat.com> - 4.0.2.8
- Corrected summary in spec file (#234102)

* Wed Apr 25 2007 Ondrej Dvoracek <odvorace@redhat.com> - 4.0.2.7
- Removed broken URL (#237363)

* Tue Apr 3 2007 Ondrej Dvoracek <odvorace@redhat.com> - 4.0.2-6
- Corrected rndc key labels
- Resolves #219795
- Corrected DNSSEC key record column
- Resolves #219798

* Tue Apr 3 2007 Ondrej Dvoracek <odvorace@redhat.com> - 4.0.2-5
- Added SSHFP Resource record
- Resolves #205689
- Corrected some typos in strings
- Resolves #232054

* Tue Jan 23 2007 Martin Stransky <stransky@redhat.com> - 4.0.2-4
- reworked version check
- added check for child processes (#216584)

* Tue Nov 21 2006 Martin Stransky <stransky@redhat.com> - 4.0.2-3
- added a second patch for issue #216584

* Tue Nov 21 2006 Martin Stransky <stransky@redhat.com> - 4.0.2-2
- added version patch (for #216584)

* Tue Oct 17 2006 Martin Stransky <stransky@redhat.com> - 4.0.2-1
- updated translations

* Wed Oct 4 2006 Martin Stransky <stransky@redhat.com> - 4.0.1-3
- added patch for #195001 - string with translators credits

* Tue Sep 12 2006 Martin Stransky <stransky@redhat.com> - 4.0.1-2
- added patch for #195001 - system-config-bind is not fully localized

* Tue Sep 5 2006 Martin Stransky <stransky@redhat.com> - 4.0.1-1
- package version bump

* Fri Jul 21 2006 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-44
- ship updated translations
- fix build and release tag (update release to 44).

* Wed Jul 19 2006 Jesse Keating <jkeating@redhat.com> - 4.0.0-43
- fix release tag

* Wed Jun 14 2006 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-42
- Handle named.conf 'include' statements within clauses 
  e.g. 'view x { include "y"; }'
- Tooltip text not gettext-ized (part of fix for bug 195001)

* Wed Jun 07 2006 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-41
- fix bug 194058: freeze / unfreeze dynamic zones when saving

* Wed Mar 08 2006 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-40
- fix bug 184065: prompts to place slave / DDNS updateable zone
                  files in slaves/ 
- ship updated translations
 
* Tue Mar 01 2006 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-38
- fix bug 182857: add Requires(post): hicolor-icon-them
- ship updated translations

* Tue Jan 10 2006 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-36
- fix bug 176142 (final!) : ship the Serbian translations
- fix str widget save (TXT records)

* Wed Dec 21 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-34
- fix bug 170617: don't use pam_stack in pam configuration file

* Mon Dec 19 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-33
- fix bug 175420: traceback when named.conf included a nonexistent file
- fix bug 176142: ship updated Serbian translation

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Nov 28 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-32
- fix bug 174284: Lookup.py failed when hostname matches IP
                  address regexps and has no DNS record

* Fri Sep 23 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-31
- fix deletion of record with following records for same name
- fix zone serial increment on save
- ship updated translations

* Mon Aug 15 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-30
- fix IPv6 address labelling
- fix reverse IP zone origin selection menus for A & AAAA records
  when there are forwarder reverse IP zones
- remove CVS directories mistakenly included in previous versions

* Tue Aug 09 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-28
- fix bug 165445: relax restriction on no address records for origin

* Mon Aug 08 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-22
- fix bug 165292: missing 'key' keyword in ACL named keys
- workaround ISC bug 15195: named cannot handle multiple keys in rndc.key

* Fri Jul 29 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-21
- fix bug 164245: generate desktop file from translations in .po files
- fix bug 164613, 164611: translated string typos
- further fix for bug 158438: sentence splitting

* Mon Jul 25 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-20
- fix bug 164129: DNS.py 'declartation' -> 'declaration'
- fix bug 163937: NamedConfOptions 'Name of ke.' -> 'Name of key.'
- fix bug 158438: avoid sentence splitting in translatable messages

* Fri Jul 15 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-18
- fix bug 163304: handle empty contents in Zone.out
- fix bug 161988: create links to .mo files for bindconf
- fix bug 161987: don't use substring of translated string in DNSsec TrustedKeys
- fix bug 159534: add descriptions to deprecated record types
- fix bug 158441: shorten NamedConfOptions description strings

* Mon May 08 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-16
- fix bug 157207:  allow build to succeed if bind package is not installed

* Thu May 05 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-16
- fix out-of-zone data reporting
- out-of-zone string comparison should be case-insensitive
- fix bug 156913: wrong file permissions for config files

* Wed May 04 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-12
- fix bug 156884: handle named.conf with NO options clause .

* Wed Apr 27 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-10
- Add User Guide & Manual in /usr/share/doc/system-config-bind-%%{version}

* Wed Apr 27 2005 Miloslav Trmac <mitr@redhat.com> - 4.0.0-9
- Remove dependency on 4Suite (#155113)

* Wed Apr 27 2005 Jeremy Katz <katzj@redhat.com> - 4.0.0-8
- silence %%post

* Mon Apr 04 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-7
- fix bug 153035: gtk.FALSE/TRUE deprecation warnings

* Mon Mar 28 2005 Christopher Aillon <caillon@redhat.com>
- added .spec file icon cache update

* Tue Mar 08 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-4
- fix bug 150011
- Add DNSsec capabilities.

* Sun Feb 01 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-3
- fix bugs 146475, 146606, 143780
 
* Fri Dec 17 2004 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-1
- Initial build.

